## dindel 1.01+dfsg

=== Makefile ===
SAMTOOLDIR=/nfs/users/nfs_c/caa/source/samtools/
SEQANDIR=seqan_library/

CPPFLAGS= -DNDEBUG -D_IOLIB=2 -DMINREADS=2 -DDINDEL
CXXFLAGS= -I$(SAMTOOLDIR) -I$(SEQANDIR) -I./  -Wno-deprecated  -O3 
LDFLAGS= -L$(SAMTOOLDIR)  -lbam -lz -lboost_program_options -static 

SRCSDINDEL=DInDel.cpp HapBlock.cpp HaplotypeDistribution.cpp ObservationModelFB.cpp GetCandidates.cpp Faster.cpp
OBJSDINDEL=$(SRCSDINDEL:%.cpp=%.o)  

dindel:$(OBJSDINDEL) Read.hpp DInDel.hpp HapBlock.hpp Haplotype.hpp HaplotypeDistribution.hpp MyBam.hpp GetCandidates.hpp Variant.hpp Fasta.hpp OutputData.hpp MLAlignment.hpp ObservationModelSeqAn.hpp VariantFile.hpp ReadIndelErrorModel.hpp Library.hpp Faster.hpp
	$(CXX) -o $@ $(CXXFLAGS) $(DINDELFLAGS) $(OBJSDINDEL) $(LDFLAGS) 

clean:
	rm -f $(OBJSDINDEL) $(OBJSCOMPAREVARIANTS)  $(OBJSMAKEGLF)

=== debian/changelog ===
dindel (1.01+dfsg-4build2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:12:59 +0000

dindel (1.01+dfsg-4build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:16:12 +0000

dindel (1.01+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Make code compatible with latest Boost version (1.61 and up).
    Thanks to Graham Inggs for the patch.
    Closes: #833958

 -- Sascha Steinbiss <satta@debian.org>  Wed, 10 Aug 2016 21:34:19 +0000

dindel (1.01+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Force use of Boost 1.58 to fix FTBFS with newer Boost versions.
  * Bump Standards-Version.
  * d/copyright: Reorder items.
  * d/copyright: Use secure Format URL.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 06 Aug 2016 08:23:11 +0000

dindel (1.01+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 6.
    Closes: #831208

 -- Sascha Steinbiss <satta@debian.org>  Wed, 03 Aug 2016 17:35:20 +0000

dindel (1.01+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #818605)

 -- Animesh Sharma <sharma.animesh@gmail.com>  Fri, 18 Mar 2016 10:51:19 +0100

=== debian/control ===
Source: dindel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Animesh Sharma <sharma.animesh@gmail.com>,
           Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               seqan-dev,
               libbam-dev,
               libboost-program-options-dev,
               libboost-math-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dindel.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/dindel.git
Homepage: https://sites.google.com/site/keesalbers/soft/dindel

Package: dindel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: determines indel calls from short-read data
 Dindel is a program for calling small indels from short-read sequence
 data ('next generation sequence data'). It currently is designed to
 handle only Illumina data.
 .
 Dindel requires a BAM file containing the read-alignments as input. It
 then extracts candidate indels from the BAM file, and realigns the reads
 to candidate haplotypes consisting of these candidate indels. If there
 is sufficient evidence for an alternative haplotype to the reference,
 it will call an indel.
 .
 It is possible to test indels discovered with other methods using Dindel,
 for instance longer indels obtained through assembly methods. Dindel
 will then realign both mapped and unmapped reads to see if the candidate
 indel is supported by the reads.
 .
 Dindel outputs both genotype likelihoods and includes a script to
 convert these to a VCF file with indel and SNP calls.
 .
 There is basic support for outputting realigned BAM files for each
 realignment-window. These realigned BAM files can be used to call SNPs
 near (candidate) indels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://sites.google.com/site/keesalbers/soft/dindel .*/dindel/dindel-(\d[\d.]+)-src\.tar\.gz.*

## dindel 1.01-wu1

=== Makefile ===
PREFIX=/usr
BINDIR=$(PREFIX)/bin
SHAREDIR=$(PREFIX)/share
SAMTOOLSDIR=samtools
SEQANDIR=seqan_library
DINDEL=dindel$(SUFFIX)

CPPFLAGS=-DNDEBUG -D_IOLIB=2 -DMINREADS=2 -DDINDEL
CXXFLAGS=-I$(SAMTOOLSDIR) -I$(SEQANDIR) -I./ -Wno-deprecated  -O3 
LDFLAGS=$(SAMTOOLSDIR)/libbam.a -lz -lboost_program_options -lpthread

SRCSDINDEL=DInDel.cpp HapBlock.cpp HaplotypeDistribution.cpp ObservationModelFB.cpp GetCandidates.cpp Faster.cpp
OBJSDINDEL=$(SRCSDINDEL:%.cpp=%.o)

all: $(DINDEL)

$(DINDEL):$(OBJSDINDEL) Read.hpp DInDel.hpp HapBlock.hpp Haplotype.hpp HaplotypeDistribution.hpp MyBam.hpp GetCandidates.hpp Variant.hpp Fasta.hpp OutputData.hpp MLAlignment.hpp ObservationModelSeqAn.hpp VariantFile.hpp ReadIndelErrorModel.hpp Library.hpp Faster.hpp
	$(CXX) -o $@ $(CXXFLAGS) $(DINDELFLAGS) $(OBJSDINDEL) $(LDFLAGS) 

clean:
	rm -f $(OBJSDINDEL) $(DINDEL)

DESTBINDIR=$(DESTDIR)$(BINDIR)
DESTSHAREDIR=$(DESTDIR)$(SHAREDIR)/$(DINDEL)

install: all
	install -d $(DESTBINDIR) $(DESTSHAREDIR)
	install $(DINDEL) $(DESTBINDIR)
	cp -dr --no-preserve=ownership python/* $(DESTSHAREDIR)/

## dindel 1.01-wu1-3+dfsg

=== debian/changelog ===
dindel (1.01-wu1-3+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * watch file standard 4 (routine-update)
  * d/rules: Remove boilerplate
  * Call 2to3 on Python scripts

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 20:03:42 +0100

dindel (1.01-wu1-3+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * [debian/upstream/metadata] Added registry ref to
    OMICtools, bio.tools, RRID

  [ Andreas Tille ]
  * New upstream version
  * Package dindel-tgi since this seems to be actively maintained
    and contains some sensible enhancement.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0
  * Update copyright

 -- Andreas Tille <tille@debian.org>  Mon, 13 Aug 2018 14:03:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: dindel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Animesh Sharma <sharma.animesh@gmail.com>,
            Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                seqan-dev,
                libbam-dev,
                libboost-program-options-dev,
                libboost-math-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dindel.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/dindel.git
-Homepage: https://sites.google.com/site/keesalbers/soft/dindel
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/dindel
+Vcs-Git: https://salsa.debian.org/med-team/dindel.git
+Homepage: https://github.com/genome/dindel-tgi
+Rules-Requires-Root: no
 
 Package: dindel
 Architecture: any

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/genome/dindel-tgi/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@
